Api Versions - Get

Az API-verzió részleteit adja vissza.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ApiCenter/services/{serviceName}/workspaces/{workspaceName}/apis/{apiName}/versions/{versionName}?api-version=2024-03-01

URI-paraméterek

Name In Kötelező Típus Description
apiName
path True

string

minLength: 1
maxLength: 90
pattern: ^[a-zA-Z0-9-]{3,90}$

Az API neve.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Az erőforráscsoport neve. A név nem megkülönbözteti a kis- és nagybetűket.

serviceName
path True

string

minLength: 1
maxLength: 90
pattern: ^[a-zA-Z0-9-]{3,90}$

Az Azure API Center szolgáltatás neve.

subscriptionId
path True

string (uuid)

A cél-előfizetés azonosítója. Az értéknek UUID-nek kell lennie.

versionName
path True

string

minLength: 1
maxLength: 90
pattern: ^[a-zA-Z0-9-]{3,90}$

Az API-verzió neve.

workspaceName
path True

string

minLength: 1
maxLength: 90
pattern: ^[a-zA-Z0-9-]{3,90}$

A munkaterület neve.

api-version
query True

string

minLength: 1

A művelethez használandó API-verzió.

Válaszok

Name Típus Description
200 OK

ApiVersion

Az Azure-művelet sikeresen befejeződött.

Fejlécek

ETag: string

Other Status Codes

ErrorResponse

Váratlan hibaválasz.

Biztonság

azure_auth

Azure Active Directory Oauth2-folyamat.

Típus: oauth2
Folyamat: implicit
Engedélyezési URL: https://login.microsoftonline.com/common/oauth2/authorize

Hatókörök

Name Description
user_impersonation a felhasználói fiók megszemélyesítése

Példák

ApiVersions_Get

Mintakérelem

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso-resources/providers/Microsoft.ApiCenter/services/contoso/workspaces/default/apis/echo-api/versions/2023-01-01?api-version=2024-03-01

Mintaválasz

{
  "type": "Microsoft.ApiCenter/services/workspaces/apis/versions",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso-resources/providers/Microsoft.ApiCenter/services/contoso/workspaces/default/apis/echo-api/versions/2023-01-01",
  "name": "2023-01-01",
  "systemData": {
    "createdAt": "2023-07-03T18:27:09.128871Z",
    "lastModifiedAt": "2023-07-03T18:27:09.1288716Z"
  },
  "properties": {
    "title": "2023-01-01",
    "lifecycleStage": "production"
  }
}

Definíciók

Name Description
ApiVersion

API-verzió entitás.

createdByType

Az erőforrást létrehozó identitás típusa.

ErrorAdditionalInfo

Az erőforrás-kezelési hiba további információi.

ErrorDetail

A hiba részletei.

ErrorResponse

Hibaválasz

LifecycleStage

Az Api fejlesztési életciklusának fázisa

systemData

Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok.

ApiVersion

API-verzió entitás.

Name Típus Description
id

string (arm-id)

Az erőforrás teljes erőforrás-azonosítója. Például: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

Az erőforrás neve

properties.lifecycleStage

LifecycleStage

Az API jelenlegi életciklus-szakasza.

properties.title

string

minLength: 1
maxLength: 50

API-verzió címe.

systemData

systemData

A createdBy és a modifiedBy adatokat tartalmazó Azure Resource Manager-metaadatok.

type

string

Az erőforrás típusa. Pl. "Microsoft.Compute/virtualMachines" vagy "Microsoft.Storage/storageAccounts"

createdByType

Az erőforrást létrehozó identitás típusa.

Érték Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Az erőforrás-kezelési hiba további információi.

Name Típus Description
info

object

A további információk.

type

string

A további információtípus.

ErrorDetail

A hiba részletei.

Name Típus Description
additionalInfo

ErrorAdditionalInfo[]

A hiba további információi.

code

string

A hibakód.

details

ErrorDetail[]

A hiba részletei.

message

string

A hibaüzenet.

target

string

A hibacél.

ErrorResponse

Hibaválasz

Name Típus Description
error

ErrorDetail

A hibaobjektum.

LifecycleStage

Az Api fejlesztési életciklusának fázisa

Érték Description
design

tervezési fázis

development

fejlesztési szakasz

testing

tesztelési szakasz

preview

Előnézetben

production

Éles környezetben

deprecated

elavult szakasz

retired

Kivezetett szakasz

systemData

Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok.

Name Típus Description
createdAt

string (date-time)

Az erőforrás-létrehozás időbélyege (UTC).

createdBy

string

Az erőforrást létrehozó identitás.

createdByType

createdByType

Az erőforrást létrehozó identitás típusa.

lastModifiedAt

string (date-time)

Az erőforrás utolsó módosításának időbélyege (UTC)

lastModifiedBy

string

Az erőforrást legutóbb módosító identitás.

lastModifiedByType

createdByType

Az erőforrást legutóbb módosító identitás típusa.